=== debian/changelog ===
shasta (0.6.0-5ubuntu2) hirsute; urgency=medium

  * No-change rebuild for spoa soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Jan 2021 16:22:32 +0100

shasta (0.6.0-5ubuntu1) hirsute; urgency=medium

  * Add cpu-features build-dep.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Jan 2021 10:48:30 +0000

shasta (0.6.0-5) unstable; urgency=medium

  * Team upload.
  * Do not explicitly Depend libboost-chrono1.71.0 and use ${shlibs:Depends}
    instead
    Closes: #977308

 -- Andreas Tille <tille@debian.org>  Sat, 19 Dec 2020 20:46:29 +0100

shasta (0.6.0-4) unstable; urgency=medium

  * Team Upload.
  * Modify install paths (Closes: #972921)
  * Fix installmissing

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 09 Dec 2020 12:05:18 +0000

shasta (0.6.0-3) unstable; urgency=medium

  * Team upload.
  * python3-shasta: any-amd64 arm64

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2020 17:49:17 +0100

shasta (0.6.0-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Enable binary-all build
    Closes: #972921
  * Architecture: any-amd64 arm64
    Closes: #972922
  * Do not override dh_missing, try to install the files from debian/tmp
    or remove them before dh_missing is called
  * Make sure shared library will fit default Python3 version
  * dh_missing --fail-missing
  * Standards-Version: 5.4.1

  [ Shayan Doust ]
  * build depends python3-dev instead of python3-all-dev
    Closes: #973427

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2020 14:37:49 +0100

shasta (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Move source package lintian overrides to debian/source.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2020 14:49:17 +0200

shasta (0.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #968716)

 -- Shayan Doust <hello@shayandoust.me>  Thu, 20 Aug 2020 16:47:28 +0000
