=== debian/control ===
Source: shasta
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-exec,
               cmake,
               patchelf,
               chrpath,
               libboost-all-dev,
               libpng-dev,
               ncbi-blast+,
               python3-sphinx,
               python3-dev,
               libseqan2-dev,
               libcpu-features-dev,
               libspoa-dev,
               python3-pybind11
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/shasta
Vcs-Git: https://salsa.debian.org/med-team/shasta.git
Homepage: https://github.com/chanzuckerberg/shasta
Rules-Requires-Root: no

Package: shasta
Architecture: any-amd64 arm64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3-shasta (= ${binary:Version}),
Description: nanopore whole genome assembly (binaries and scripts)
 De novo assembly from Oxford Nanopore reads. The goal of the Shasta long
 read assembler is to rapidly produce accurate assembled sequence using
 as input DNA reads generated by Oxford Nanopore flow cells.
 .
 Computational methods used by the Shasta assembler include:
 .
  * Using a run-length representation of the read sequence. This makes
    the assembly process more resilient to errors in homopolymer
    repeat counts, which are the most common type of errors in Oxford
    Nanopore reads.
 .
  * Using in some phases of the computation a representation of the read
    sequence based on markers, a fixed subset of short k-mers (k ≈ 10).
 .
 Shasta assembly quality is comparable or better than assembly quality
 achieved by other long read assemblers.
 .
 This package contains the executable binaries (tools) and
 accommodating scripts.

Package: python3-shasta
Architecture: any-amd64 arm64
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libboost-program-options1.71.0,
         libpng16-16,
         libpng-dev,
         ncbi-blast+,
         libseqan2-dev,
         libspoa-dev
Description: nanopore whole genome assembly (dynamic library)
 De novo assembly from Oxford Nanopore reads. The goal of the Shasta long
 read assembler is to rapidly produce accurate assembled sequence using
 as input DNA reads generated by Oxford Nanopore flow cells.
 .
 Computational methods used by the Shasta assembler include:
 .
  * Using a run-length representation of the read sequence. This makes
    the assembly process more resilient to errors in homopolymer
    repeat counts, which are the most common type of errors in Oxford
    Nanopore reads.
 .
  * Using in some phases of the computation a representation of the read
    sequence based on markers, a fixed subset of short k-mers (k ≈ 10).
 .
 Shasta assembly quality is comparable or better than assembly quality
 achieved by other long read assemblers.
 .
 This package contains the dynamic library that can be interfaced and
 imported within Python.

Package: python3-shasta-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: shasta,
            python3-shasta
Description: nanopore whole genome assembly (documentation)
 De novo assembly from Oxford Nanopore reads. The goal of the Shasta long
 read assembler is to rapidly produce accurate assembled sequence using
 as input DNA reads generated by Oxford Nanopore flow cells.
 .
 Computational methods used by the Shasta assembler include:
 .
  * Using a run-length representation of the read sequence. This makes
    the assembly process more resilient to errors in homopolymer
    repeat counts, which are the most common type of errors in Oxford
    Nanopore reads.
 .
  * Using in some phases of the computation a representation of the read
    sequence based on markers, a fixed subset of short k-mers (k ≈ 10).
 .
 Shasta assembly quality is comparable or better than assembly quality
 achieved by other long read assemblers.
 .
 This package contains the documentation for the shasta and python3-shasta
 packages.
