## shasta 0.7.0

=== dynamicExecutable/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,10 @@
 if(BUILD_DEBUG)
     add_definitions(-ggdb3)
     add_definitions(-O0)
-    add_definitions(-fsanitize=address)
+    # Address sanitizer does not work well with the Python API,
+    # so it is commented out here. But it could be useful
+    # to debug the dynamic executable. 
+    # add_definitions(-fsanitize=address)
 else(BUILD_DEBUG)
     add_definitions(-g0)
     add_definitions(-O3)
@@ -39,7 +42,10 @@
 add_definitions(-DBOOST_ERROR_CODE_HEADER_ONLY)
 
 # Definitions that control what components get built.
-add_definitions(-DSHASTA_HTTP_SERVER)
+if(BUILD_WITH_HTTP_SERVER)
+    add_definitions(-DSHASTA_HTTP_SERVER)
+endif(BUILD_WITH_HTTP_SERVER)
+
 add_definitions(-DSHASTA_PYTHON_API)
 
 # Source files
@@ -57,17 +63,17 @@
 set_target_properties(shastaDynamicExecutable PROPERTIES INSTALL_RPATH "\$ORIGIN")
 
 # Libraries to link with.
-if(X86_64 AND BUILD_USE_SPOA_WITH_CPU_DISPATCH)
+if(X86_64)
     target_link_libraries(
         shastaDynamicExecutable
         shastaDynamicLibrary
         atomic boost_system boost_program_options boost_chrono spoa cpu_features png z pthread)
-else(X86_64 AND BUILD_USE_SPOA_WITH_CPU_DISPATCH)
+else(X86_64)
     target_link_libraries(
         shastaDynamicExecutable
         shastaDynamicLibrary
         atomic boost_system boost_program_options boost_chrono spoa png z pthread)
-endif(X86_64 AND BUILD_USE_SPOA_WITH_CPU_DISPATCH)
+endif(X86_64)
 
 if(BUILD_DEBUG) 
     set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=address")
