=== dynamicLibrary/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,10 @@
 if(BUILD_DEBUG)
     add_definitions(-ggdb3)
     add_definitions(-O0)
-    add_definitions(-fsanitize=address)
+    # Address sanitizer does not work well with the Python API,
+    # so it is commented out here. But it could be useful
+    # to debug the dynamic executable. 
+    # add_definitions(-fsanitize=address)
 else(BUILD_DEBUG)
     add_definitions(-g0)
     add_definitions(-O3)
@@ -40,7 +43,10 @@
 add_definitions(-DBOOST_ERROR_CODE_HEADER_ONLY)
 
 # Definitions that control what components get built.
-add_definitions(-DSHASTA_HTTP_SERVER)
+if(BUILD_WITH_HTTP_SERVER)
+    add_definitions(-DSHASTA_HTTP_SERVER)
+endif(BUILD_WITH_HTTP_SERVER)
+
 add_definitions(-DSHASTA_PYTHON_API)
 
 # Sources files.
