=== debian/changelog ===
shasta (0.7.0-3) unstable; urgency=medium

  * Team upload.
  * python3-shasta: Remove explicit depends on many libraries,
    ${shlibs:Depends} covers the needful.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Jan 2021 10:43:17 +0100

shasta (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * make use of ${sphinxdoc:Built-Using}
  * debian/tests/control: specifically depend on the binary packages
  * debian/control: document why package is amd64/arm64 only

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Jan 2021 13:08:34 +0100

shasta (0.7.0-1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * debian/patches/libspoa7.0.0: adapt to spoa 4.0.6 (Closes: #979704)
  * Fix some typos.

  [ Juhani Numminen ]
  * Fix binary-indep FTBFS: add suffix -arch in execute_after_dh_python3-arch.

  [ Andreas Tille ]
  * New upstream version
  * Build-Depends: libcpu-features-dev

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Jan 2021 16:28:10 +0100
