=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: shasta
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Shayan Doust <hello@shayandoust.me>
 Section: science
 Priority: optional
@@ -16,9 +15,10 @@
                python3-sphinx,
                python3-dev,
                libseqan2-dev,
-               libcpu-features-dev,
                libspoa-dev,
-               python3-pybind11
+               python3-pybind11,
+               libcpu-features-dev [any-amd64],
+               libcereal-dev
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/shasta
 Vcs-Git: https://salsa.debian.org/med-team/shasta.git
@@ -27,6 +27,10 @@
 
 Package: shasta
 Architecture: any-amd64 arm64
+# even if one comments out the sections that forbid compilation on other archs
+# one gets this error message:
+# undefined reference to `__sync_bool_compare_and_swap_16'
+# see src/dset64.hpp for more details
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          python3-shasta (= ${binary:Version}),
@@ -57,12 +61,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         libboost-program-options1.71.0,
-         libpng16-16,
-         libpng-dev,
-         ncbi-blast+,
-         libseqan2-dev,
-         libspoa-dev
+         ncbi-blast+
 Description: nanopore whole genome assembly (dynamic library)
  De novo assembly from Oxford Nanopore reads. The goal of the Shasta long
  read assembler is to rapidly produce accurate assembled sequence using
@@ -86,7 +85,9 @@
 
 Package: python3-shasta-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
+Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
 Recommends: shasta,
