=== debian/rules ===
--- 
+++ 
@@ -25,12 +25,6 @@
 	find . -name "shasta.so" -exec cp {} docs/PythonApi/ \;
 	PYTHONPATH=docs/PythonApi/ python3 -m sphinx -N -bhtml docs/PythonApi/ build/html # HTML generator
 
-override_dh_python3:
-	dh_python3
-	patchelf \
-		--set-soname $(MULTIARCH_SONAME) \
-		$(CURDIR)/debian/python3-shasta/usr/lib/python3/dist-packages/$(MULTIARCH_SONAME)
-
 override_dh_install-arch:
 	dh_install -a
 	# Rename shastaDynamic to shasta for ease
@@ -42,6 +36,11 @@
 	patchelf \
 		--replace-needed shasta.so $(MULTIARCH_SONAME) \
 		debian/shasta/usr/bin/shasta
+
+execute_after_dh_python3-arch:
+	patchelf \
+		--set-soname $(MULTIARCH_SONAME) \
+		$(CURDIR)/debian/python3-shasta/usr/lib/python3/dist-packages/$(MULTIARCH_SONAME)
 
 override_dh_missing:
 	# No need to install docker files
