## shasta 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,26 +30,15 @@
     option(BUILD_STATIC_EXECUTABLE "Build the static executable." ON)
     option(BUILD_DYNAMIC_LIBRARY "Build the shared library." OFF)
     option(BUILD_DYNAMIC_EXECUTABLE "Build the dynamic executable." OFF)
+    option(BUILD_WITH_HTTP_SERVER "Build with embedded HTTP server for debugging." ON)
     option(BUILD_APPIMAGE "Build the AppImage." OFF)
 else(MACOS)
-    # SPOA's cpu dispatching code does not compile on Ubuntu versions lesser than 18.04
-    execute_process(COMMAND cat /etc/os-release
-        COMMAND grep VERSION_ID
-        COMMAND cut -f 2 -d=
-        COMMAND tr -d \"
-        OUTPUT_VARIABLE UBUNTU_VERSION)
-    if(UBUNTU_VERSION VERSION_LESS "18.04")
-        option(BUILD_USE_SPOA_WITH_CPU_DISPATCH "Link to SPOA library which uses cpu dispatch" OFF)    
-    else(UBUNTU_VERSION VERSION_LESS "18.04")
-        option(BUILD_USE_SPOA_WITH_CPU_DISPATCH "Link to SPOA library which uses cpu dispatch" ON)
-    endif(UBUNTU_VERSION VERSION_LESS "18.04")
-    message(STATUS "BUILD_USE_SPOA_WITH_CPU_DISPATCH is " ${BUILD_USE_SPOA_WITH_CPU_DISPATCH})
-   
     # For Linux, build everything.
     option(BUILD_STATIC_LIBRARY "Build the static library." ON)
     option(BUILD_STATIC_EXECUTABLE "Build the static executable." ON)
     option(BUILD_DYNAMIC_LIBRARY "Build the shared library." ON)
     option(BUILD_DYNAMIC_EXECUTABLE "Build the dynamic executable." ON)
+    option(BUILD_WITH_HTTP_SERVER "Build with embedded HTTP server for debugging." ON)
     option(BUILD_APPIMAGE "Build the AppImage." OFF)
 endif(MACOS)
 
@@ -141,9 +130,6 @@
 # Install the docs directory.
 install(DIRECTORY docs DESTINATION shasta-install)
 
-# Install the docker directory.
-install(DIRECTORY docker DESTINATION shasta-install)
-
 # The targets built in each subdirectory are
 # installed by the cmake file of each subdirectory.
