=== dynamicExecutable/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(shastaDynamicExecutable)
 
 # C++ dialect.
-add_definitions(-std=c++14)
+add_definitions(-std=c++17)
 
 # Compilation warnings.
 add_definitions(-Wall -Wconversion -Wno-unused-result)
@@ -67,12 +67,14 @@
     target_link_libraries(
         shastaDynamicExecutable
         shastaDynamicLibrary
-        atomic boost_system boost_program_options boost_chrono spoa cpu_features png z pthread)
+        atomic boost_system boost_program_options boost_chrono spoa cpu_features png z 
+        lapack blas gfortran quadmath pthread)
 else(X86_64)
     target_link_libraries(
         shastaDynamicExecutable
         shastaDynamicLibrary
-        atomic boost_system boost_program_options boost_chrono spoa png z pthread)
+        atomic boost_system boost_program_options boost_chrono spoa png z 
+        lapack blas gfortran pthread)
 endif(X86_64)
 
 if(BUILD_DEBUG)
