=== dynamicLibrary/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(shastaDynamicLibrary)
 
 # C++ dialect.
-add_definitions(-std=c++14)
+add_definitions(-std=c++17)
 
 # Compilation warnings.
 add_definitions(-Wall -Wconversion -Wno-unused-result)
@@ -86,7 +86,7 @@
 # Libraries to link with.
 target_link_libraries(
     shastaDynamicLibrary 
-     atomic png boost_program_options pthread z spoa ${SHASTA_PYTHON_LIBRARIES})
+     atomic png boost_program_options pthread z spoa lapack blas ${SHASTA_PYTHON_LIBRARIES})
 
 # Install the shared library into the bin directory.
 install(TARGETS shastaDynamicLibrary DESTINATION shasta-install/bin)
