=== staticExecutable/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(shastaStaticExecutable)
 
 # C++ dialect.
-add_definitions(-std=c++14)
+add_definitions(-std=c++17)
 
 # Compilation warnings.
 if(NOT MACOS)
@@ -75,7 +75,9 @@
     target_link_libraries(
     shastaStaticExecutable 
     shastaStaticLibrary
-    ${Boost_LIBRARIES} /usr/local/lib/libspoa.a ${PNG_LIBRARY} z pthread)
+    ${Boost_LIBRARIES} /usr/local/lib/libspoa.a ${PNG_LIBRARY} z
+    "-framework Accelerate"
+    pthread)
 else(MACOS)
     # For arcane reasons, statically linking with the pthread
     # library on Linux requires "--whole-archive".
@@ -84,12 +86,14 @@
             shastaStaticExecutable
             shastaStaticLibrary
             atomic boost_system boost_program_options boost_chrono spoa cpu_features png z
+            lapack blas gfortran quadmath
             -Wl,--whole-archive -lpthread -Wl,--no-whole-archive)
     else(X86_64)
         target_link_libraries(
             shastaStaticExecutable
             shastaStaticLibrary
             atomic boost_system boost_program_options boost_chrono spoa png z
+            lapack blas gfortran
             -Wl,--whole-archive -lpthread -Wl,--no-whole-archive)
     endif(X86_64)
