=== staticLibrary/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(shastaStaticLibrary)
 
 # C++ dialect.
-add_definitions(-std=c++14)
+add_definitions(-std=c++17)
 
 # Compilation warnings.
 if(NOT MACOS)
