=== debian/changelog ===
shasta (0.8.0-2ubuntu1) jammy; urgency=medium

  * d/tests/run-unit-test: Disable shasta binary test as it requires too much
    memory, even with the configuration for big_packages.

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Tue, 15 Feb 2022 14:29:09 +0100

shasta (0.8.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:31:16 +0000

shasta (0.8.0-2) unstable; urgency=medium

  * Team Upload.
  * Cherry-pick upstream patch to fix FTBFS (Closes: #1002142)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 04 Jan 2022 01:10:16 +0530

shasta (0.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

  [ Nilesh Patra ]
  * d/control: Add libblas-dev,liblapack-dev,gfortran to B-D
  * d/t/run-unit-test: Specify a --config builtin for running test on sample
    data

 -- Andreas Tille <tille@debian.org>  Thu, 14 Oct 2021 08:17:30 +0200
