=== debian/control ===
--- 
+++ 
@@ -18,8 +18,11 @@
                libspoa-dev,
                python3-pybind11,
                libcpu-features-dev [any-amd64],
-               libcereal-dev
-Standards-Version: 4.5.1
+               libcereal-dev,
+               libblas-dev,
+               liblapack-dev,
+               gfortran
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/shasta
 Vcs-Git: https://salsa.debian.org/med-team/shasta.git
 Homepage: https://github.com/chanzuckerberg/shasta
